# $Revision: 1.58.2.2 $, $Date: 2007/03/18 13:52:41 $
Summary:	Project change supervisor
Summary(pl):	Nadzorca zmian w projektach
Name:		aegis
Version:	4.16
Release:	6
License:	GPL
Group:		Development/Version Control
Source0:	http://dl.sourceforge.net/aegis/%{name}-%{version}.tar.gz
# Source0-md5:	134d01cca1e7173d4396884df5b669eb
Patch0:		%{name}-ugid.patch
Patch1:		%{name}-etc_dir.patch
URL:		http://aegis.sourceforge.net/
BuildRequires:	bison
BuildRequires:	curl-devel
BuildRequires:	libmagic-devel
BuildRequires:	rpmbuild(macros) >= 1.202
BuildRequires:	zlib-devel
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(aegis)
Provides:	user(aegis)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sharedstatedir		/var/lib

%description
Aegis is a transaction-based software configuration management system.
It provides a framework within which a team of developers may work on
many changes to a program independently, and Aegis coordinates
integrating these changes back into the master source of the program,
with as little disruption as possible.

%description -l pl
Aegis jest transakcyjnie dziaajcym programem do zarzdzania
konfiguracj. Daje rodowisko w ktrym zaoga developerw moe
pracowa nad wieloma zmianami w programie niezalenie, a Aegis
koordynuje integracj tych zmian w gwne rda programu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/{aegis,locale},%{_libdir},%{_mandir}/man1}

%{__make} install \
	AEGIS_UID=`id -ru` \
	AEGIS_GID=`id -rg` \
	HAVE_WEB=yes ScriptRoot=/srv/httpd/cgi-bin

mv -f $RPM_BUILD_ROOT%{_libdir}/aegis/en $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/aegis/man1
rm -rf $RPM_BUILD_ROOT%{_datadir}/aegis/en
rm -f lib/en/html/.mkdir*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 65 aegis
%useradd -u 65 -g 65 -c "Project change supervisor" aegis

%postun
if [ "$1" = "0" ] ; then
	%userremove aegis
	%groupremove aegis
fi

%files
%defattr(644,root,root,755)
%doc lib/en/*.{ps,txt} lib/en/notes/locale.man lib/en/html README

%dir %attr(775,root,aegis) %{_sharedstatedir}/aegis
%dir %attr(755,root,aegis) %{_libdir}/aegis
%dir %{_datadir}/aegis

%attr(755,root,root) %{_bindir}/aedist
%attr(755,root,root) %{_bindir}/aefind
%attr(4755,root,root) %{_bindir}/aegis
%attr(755,root,root) %{_bindir}/aerect
%attr(755,root,root) %{_bindir}/aereport
%attr(755,root,root) %{_bindir}/ae-sccs-put
%attr(755,root,root) %{_bindir}/ae_diff2htm
%attr(755,root,root) %{_bindir}/aeannotate
%attr(755,root,root) %{_bindir}/aebuffy
%attr(755,root,root) %{_bindir}/aecomp
%attr(755,root,root) %{_bindir}/aecomplete
%attr(755,root,root) %{_bindir}/aeimport
%attr(755,root,root) %{_bindir}/aeintegratq
%attr(755,root,root) %{_bindir}/aels
%attr(755,root,root) %{_bindir}/aemeasure
%attr(755,root,root) %{_bindir}/aepatch
%attr(755,root,root) %{_bindir}/aesub
%attr(755,root,root) %{_bindir}/aetar
%attr(755,root,root) %{_bindir}/xaegis
%attr(755,root,root) %{_bindir}/aegis.cgi
%attr(755,root,root) %{_bindir}/tk*
%attr(755,root,root) %{_datadir}/aegis/*.sh
%attr(755,root,root) %{_datadir}/aegis/remind

%{_datadir}/aegis/aegis.icon
%{_datadir}/aegis/aegis.mask
%{_datadir}/aegis/aegis.pgm
%{_datadir}/aegis/cshrc
%{_datadir}/aegis/profile
%{_datadir}/aegis/report.index
%{_datadir}/aegis/config.example
%{_datadir}/aegis/report
%{_datadir}/aegis/wish
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aegis.spec,v $
Revision 1.58.2.2  2007/03/18 13:52:41  glen
- rel 6 (curl rebuild)

Revision 1.58.2.1  2007/03/18 00:30:01  glen
- rel 5 (curl)

Revision 1.58  2006/09/08 18:03:48  glen
- rel 4 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.57  2006/04/14 11:37:07  glen
- rel 3

Revision 1.56  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.55  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.54  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.53  2005/04/03 17:05:25  darekr
- missing dirs

Revision 1.52  2005/01/14 19:11:35  qboosh
- BR: curl-devel, libmagic-devel

Revision 1.51  2004/10/16 00:18:00  ankry
- %groupremove/%userremove support, some standarization

Revision 1.50  2004/08/28 14:42:06  kolodko
- added BR bison

Revision 1.49  2004/07/12 07:58:13  ankry
- rel. 2 to rebuild with curl-7.12

Revision 1.48  2004/03/18 16:09:03  marcus
- rel.1. for Ac.

Revision 1.47  2004/02/04 15:16:05  averne
- rel 0.2

Revision 1.46  2004/02/04 15:12:27  averne
- /home/services -> /srv

Revision 1.45  2004/01/27 00:11:25  orzech
- up to 4.16

Revision 1.44  2004/01/04 19:35:12  averne
- updated to 4.15

Revision 1.43  2003/08/11 20:44:51  ankry
- cosmetics

Revision 1.42  2003/08/06 16:05:32  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.41  2003/07/03 21:10:30  luzik
- updated to 4.11

Revision 1.40  2003/06/10 12:57:51  ankry
- added md5, fixed URLs (NOTE: only newer versions there)

Revision 1.39  2003/05/25 05:45:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/17 06:30:58  pascalek
- revert user changes

Revision 1.37  2003/05/10 09:05:10  pascalek
- Req user-aegis

Revision 1.36  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.35  2003/03/22 20:06:49  juandon
- added home_etc and pmake patches
- Release 2

Revision 1.34  2002/12/07 18:32:30  orzech
- /home/httpd -> /home/services/httpd

Revision 1.33  2002/08/17 20:57:22  qboosh
- better messages in pre, more specific Requires, new %doc, release 2

Revision 1.32  2002/04/25 15:42:20  arturs
- fixed a small typo

Revision 1.31  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/12/27 13:16:01  qboosh
- FHS: changed /usr/com to /var/lib
- fixed installation of aegis.cgi
- use standard useradd/groupadd procedure

Revision 1.28  2001/10/08 12:37:35  qboosh
- don't gzip man pages in spec - rpm does
- added pl description
- NOTE: /usr/com is not FHS-compliant

Revision 1.27  2001/10/06 16:07:02  blues
- pl Summary added

Revision 1.26  2001/09/28 07:57:57  marcus
- s/%configure/%configure2_13/g

Revision 1.25  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.22  2000/12/09 17:55:13  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.21  2000/11/27 22:57:16  misiek
- using update-db is obsolete; removed

Revision 1.20  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.19  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.18  2000/06/09 07:22:46  kloczek
- added using %{__make} macro.

Revision 1.17  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.16  2000/05/05 06:01:03  kloczek
- updated Source url,
- spec adapterized.

Revision 1.15  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.13  1999/07/20 11:04:32  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.12  1999/07/16 19:24:11  baggins
- cleanups

Revision 1.11  1999/07/13 16:39:15  baggins
- small fixes

Revision 1.10  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).
